DELETE /sms/v1/keyword/{keyword}/{shortCode}/{countryCode}

Overview 

Deletes a keyword on an account given a keyword, short code, and country code.

JSON Parameters 

NameTypeDescription
keywordstringThe keyword that will be deleted
shortCodestringThe short code of the keyword that will be deleted
countryCodestringThe two letter country code specifying the country that short code belongs to

Usage 

Example Request

1Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
2DELETE /sms/v1/keyword
3Content-Type: application/json
4Authorization: Bearer YOUR_ACCESS_TOKEN
5
6{
7    "ShortCode": "89239",
8    "Keyword": "TEST",
9    "CountryCode": "US"
10}

Example Response

1HTTP/1.1 202 Accepted
2{
3    "Status": "SUCCESS Keyword with id alm5LXNSSktGMGluRznRb1Rb1R5MDZFQTo4Njow was successfully delete."
4}

DID THIS ARTICLE SOLVE YOUR ISSUE?
Let us know so we can improve!